#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAB,0xEC,0x96,0xCD,0x70,0x29,0xED,0x0E,0xAA,0xAF,0x48,0xE3,
		0x75,0xF2,0x9B,0x7C,0x57,0x7F,0x81,0xF9,0x9F,0xC6,0x3A,0x06,
		0x86,0xD4,0xAC,0xC1,0x2E,0x52,0xF8,0xBA,0x5B,0x09,0x37,0x86,
		0x78,0x76,0x3D,0xEB,0x3B,0x6F,0x08,0x91,0xAD,0x37,0x7B,0x9F,
		0x02,0xF2,0x9B,0x9E,0xB2,0x7C,0x8C,0xD5,0xC3,0xFF,0xB7,0xBB,
		0x57,0xFB,0xD6,0x73,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
